Contact Groups
Create contact group
Create a contact group. Returns 201 with the group.
POST
https://api.sndr.sh/v1/contact-groupsCreate contact group
curl -X POST 'https://api.sndr.sh/v1/contact-groups' \
-H "Authorization: Bearer $SNDR_API_KEY" \
-H 'Content-Type: application/json' \
-d '{"name": "VIP customers", "description": "Accounts over $10k ARR"}'201Created
{
"id": "grp_4d8a0c5e-1f7",
"organization_id": "org_8d41c7a2-3f6",
"name": "VIP customers",
"slug": "vip-customers",
"description": "Accounts over $10k ARR",
"member_count": 0,
"created_at": "2026-06-01T12:00:00Z"
}Authorization
AuthorizationstringheaderrequiredBearer followed by your API key. Needs the send scope.
Body
application/jsonnamestringrequiredGroup name, 1–80 characters. Names with the same slug (e.g. "VIP" and "vip") conflict.
descriptionstringOptional internal note.
Errors
401
unauthenticatedMissing or invalid API key.400
invalid_requestBody is not valid JSON, or name is missing or over 80 characters.403
insufficient_scopeThe API key is missing the send scope.409
name_takenA group with the same name (slug) already exists.